#pragma once


class CModuleManager : public ProgModuleApi2::IUnit
{
public:
	CModuleManager();
	
	//IUnit
	virtual bool	GetInfo(ProgModuleApi2::SUnitInfo*);
	virtual bool	GetModuleInfo(ProgModuleApi2::SModuleInfo*mi);

	virtual ProgModuleApi2::IBaseApi2Module*	CreateModule(ProgModuleApi2::SCreateModuleParams*);
	virtual void								DestroyModule(ProgModuleApi2::IBaseApi2Module*);

	virtual	bool  ShowOptionsDialog(DWORD subID,ProgModuleApi2::IBaseApi2Module*pmodule,HWND hParent);					//pmodule = 0 for access to settings without start module
	virtual	bool  SetDialogSettings(DWORD subID,ProgModuleApi2::IBaseApi2Module*pmodule,ProgDvbEngine::Dialogs::SBase*); //
	virtual	bool  GetDialogSettings(DWORD subID,ProgModuleApi2::IBaseApi2Module*pmodule,ProgDvbEngine::Dialogs::SBase*); //

	virtual	const wchar_t* GetLastError(); // null if OK
};